%define version 1.2.15
%define fftw_version 2.1.2
Summary: A GNOME sound displayer.
Name: extace
Version: %{version}
Release: 1
Copyright: GPL
Group: Applications/Multimedia
Source: extace-%{version}.tar.gz
Source1: fftw-%{fftw_version}.tar.gz
Source2: config.guess
BuildRoot: /var/tmp/%{name}-root
URL: http://tech.buffalostate.edu/~dave/extace/

# Someone needs 
%description
eXtace is a audio visualization plugin for the GNOME GUI desktop
environment. It connects to EsounD (the Enlightened Sound Daemon) and
displays the audio data as either a 3D textured landscape, a 3D
pointed landscape, a 16-128 channel graphic EQ, or a colored
Oscilloscope.

%prep
%setup -q -a 1
cp $RPM_SOURCE_DIR/config.guess .

%build

# Build FFTW
cd fftw-%{fftw_version}
(aclocal; automake; libtoolize --force; autoconf; autoheader)
%ifarch i386
FFTW_FLAGS="--enable-i386-hacks"
%endif
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=$RPM_BUILD_DIR/$RPM_PACKAGE_NAME-$RPM_PACKAGE_VERSION/fftw-root \
	--enable-shared=no --enable-static=yes \
	--enable-debug=no --enable-debug-alignment=no \
	$FFTW_FLAGS
if [ -n "$SMP" ]; then
	make -j$SMP MAKE="make -j$SMP"
else
	make
fi
make install
cd ..

# Build Extace itself
(aclocal; automake; libtoolize --force; autoconf; autoheader)
CFLAGS="$RPM_OPT_FLAGS -I`pwd`/fftw-root/include" \
LIBS="-L`pwd`/fftw-root/lib" \
./configure --prefix=/usr --sysconfdir=/etc --disable-maintainer-mode
if [ -n "$SMP" ]; then
	SMPF="-j$SMP"
fi
make $SMPF MAKE="make $SMPF" CFLAGS="$RPM_OPT_FLAGS -I`pwd`/fftw-root/include -I. -I.." \
	LIBS="-L`pwd`/fftw-root/lib -lrfftw -lfftw -lm"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc
strip $RPM_BUILD_ROOT/usr/bin/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/share/gnome/apps/Multimedia/extace.desktop
/usr/bin/extace

%changelog
* Tue Jan 04 2000 Elliot Lee <sopwith@redhat.com>
- Update to 1.2.15

* Fri Sep 03 1999 Elliot Lee <sopwith@redhat.com>
- Create extace package
- Include FFTW in here instead of using gsl (FFTW is faster).
